require 'spec_helper'

module Wicoris::Postman
  describe CLI do
    let(:cli) { CLI.new }

    describe '#run' do
      it 'runs a new postman with options' do
        postman = double('postman')
        opts = double('config')
        cli.should_receive(:opts).and_return(opts)
        Postman.should_receive(:new).ordered.with(opts).and_return(postman)
        postman.should_receive(:run)
        cli.run
      end
    end

    describe '#opts' do
      it 'returns the application-wide options' do
        cli.should_receive(:parse_options).ordered
        expect(cli.send(:opts)).to eq(Config)
      end

      it 'reads a given config file'

      it 'merges command-line opts with the global config'
    end

    describe '#logger' do
      let(:logger) { double('logger') }

      it 'returns a new ruby-cabin logger' do
        pending 'logging has changed'
        Cabin::Channel.should_receive(:new).and_return(logger)
        logger.should_receive(:subscribe).with(STDOUT)
        expect(cli.send(:logger)).to eq logger
      end
    end
  end
end
